using ReAct_PME.Infrastructure;
using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial class AuthService(IAuthRepository authRepository) : IAuthService
    {
		public (bool, DT_WORK_FORCE?, List<string>?) Connexion(string userName, string password)
		{
			return authRepository.Connexion(userName, password);
		}

		public async Task<List<string>> GetAllInfoById(Guid ID_USER, bool IsManager)
		{
			List<string> sb = new();

			var user_info = await GetInfo(ID_USER);

			sb.Add("VOS INFORMATIONS PERSONNELLES");
			sb.Add("En tant qu'utilisateur connecté :");
			sb.AddRange(user_info);
			if(IsManager)
			{
				var manager_info = await GetInfo(ID_USER, true);
				sb.Add("En tant que Manager :");
				sb.AddRange(manager_info);
			}

			return sb;
		}

		private async Task<List<string>> GetInfo(Guid ID, bool isManager=false)
		{
			List<string> info = new();
			if (!isManager)
			{
			}
			else
			{
			}
			return info;
		}


    }
}
